@mixin app-summary-transmit-theme($theme) {
    $primary: map-get($theme, primary);
    $warn: map-get($theme, warn);
    $accent: map-get($theme, accent);
  
    app-summary-transmit {
      width: 100%;
      padding: 5px;
      overflow-x: hidden;
    }

    .summary-transmit {
      margin-top: 10px !important;
      display: flex;
      flex-direction: column;
      padding: 5px;
      background-color: mat-color($primary, 50);
      
      .summary-transmit-main-card {      
        display: flex;
        flex-direction: column;
        margin: 1px !important;
        padding: 5px;
        background-color: mat-color($primary, 50);
  
        .mat-card-content {  

          .summary-transmit-small-box {
            display: flex;
            align-items: center;
            justify-content: center;
            background: white;
            //width: auto;
  
            .summary-transmit-container {
              display:flex;
              width: 100%;
              margin-right: 10px;
              margin-left: 10px;
              border-radius: 5px !important;
              form {
                padding-left: 10px;
                padding-right: 10px;
                padding-bottom: 20px;
                padding-top: 20px;
              }

            }

            .mat-form-field-subscript-wrapper {
              font-size: 100%;
              margin-top: 0em;
              top: calc(100% - 1.5em);
            }
    
            mat-form-field {
                margin-right: 20px;
                vertical-align: middle;
            }
            
            div {
              line-height: 20px;
            }
      
            div .mat-form-field-infix {
              position: unset!important;
              padding-top: 3px !important;
              padding-bottom: 10px !important;
            }

            div .mat-form-field-wrapper {
              padding-bottom: 0.34375em !important;
            }
      
            mat-card{
              padding-left: 0px !important;
              padding-top: 1px !important;
              padding-right: 1px !important;
              padding-bottom: 5px !important;
            }

            .mat-card{
              padding: 8px !important;
            }

            
            .mat-tab-label {
              background: #BDBDBD;
              border-radius: 10px 10px 0px 0px;
              margin-right: 10px;
              height: 30px !important;
              padding: 10px;
                    font-size: 1.1em;
                    margin-top: 10px;
            }
            .mat-tab-label-active {
              opacity: 1 !important;
              background-color: mat-color($primary);
              color: white;
            }
            .mat-tab-label-content {
              padding: 0!important;
              width: 100%;
            }

            .mat-checkbox-layout {
              padding-right: 10px !important;
            }
      
            .summary-transmit-container > * {
                width: 100%;
            } 
          }        
        }
      }

      .mat-form-field-subscript-wrapper {
          font-size: 100%;
          margin-top: 0em;
          top: calc(100% - 1.5em);
      }

      mat-form-field {
          margin-right: 20px;
          vertical-align: middle;
      }


      .content-main {
              display: flex;
              flex-flow: column wrap;
                    
                .content-sub 
                {
                  display: flex;
                  height: 35px;
                  //align-items: center;
                  
                    .content-sub-label-1 {
                      order: 1;
                      width: 20%;
                      //padding-right: 0.5em;
                      flex: 1 1 auto;
                      text-align: right;
                      vertical-align: middle;
                    }

                    .content-sub-label-2 {
                        order: 2;
                        width: 30%;
                        flex: 1 1 auto;
                        margin-left: 20px;
                        vertical-align: middle;
                    }

                    .content-sub-label-3 {
                        order: 3;
                        width: 20%;
                        //padding-right: 0.5em;
                        flex: 1 1 auto;
                        text-align: right;
                        vertical-align: middle;
                      }
  
                      .content-sub-label-4 {
                        order: 4;
                        width: 30%;
                        flex: 1 1 auto;
                        margin-left: 20px;
                        vertical-align: middle;
                      }

                      .content-sub-label-11 {
                        order: 1;
                        width: 20%;
                        //padding-right: 0.5em;
                        flex: 1 1 auto;
                        text-align: right;
                        padding-left: 5px;
                        vertical-align: middle;
                      }

                      .content-sub-label-234 {
                        order: 2;
                        width: 80%;
                        flex: 1 1 auto;
                        margin-left: 20px;
                        vertical-align: middle;
                      }

                    .margin-top-10{
                        margin-top: 10px;
                    }

                    .margin-left-10{
                        margin-left: 10px;
                    }

                    .content-sub-button {
                      order: 2;
                      flex: 1 1 auto;
                      justify-content: flex-end;
                    }

                    .content-sub-button-parent-left {
                      display: inline-flex;
                      order: 1;
                      flex: 1 1 auto;
                      justify-content: flex-start;
                    }

                    .content-sub-button-parent-right {
                      order: 2;
                      flex: 1 1 auto;
                      justify-content: flex-end;
                      text-align: right;
                    }
          
                    .content-sub-middle {
                      font-weight: bold;
                      margin-bottom: 5px;
                    }

                    .content-sub-report{
                      height: 100%; 
                      width: 100%; 
                      min-height: 600px;
                    }

                    .content-report-spinner {
                      display: flex;
                      justify-content: center;
                      height: 20%; 
                      width: 100%;
                    }

                    span .mat-icon{
                      vertical-align: middle !important;
                      background-color: #323639;
                      color: whitesmoke;
                      font-size: 1.3em;
                      width: 18px;
                      height: 18px;
                    }
                   
                  }
              }

        .labelTextBoldLarge {
        text-align: left;
        font-weight: bold;
        font-size: large;
        }
      

        .labelTextRedBoldLarge {
        text-align: left;
        color: red;
        font-weight: bold;
        font-size: large;
        }

      .labelTextRed {
        text-align: left;
        color: red;
        font-weight: normal;
        }

      .consentBackGround {
        background-color: lemonchiffon;
      }

      .consent-margin{
        margin-left: 10px;
        margin-right: 10px;
        text-align: justify;
      }

      .consent-margin-1{
        margin-left: 10px;
        margin-right: 10px;
        margin-top: 12px;
        text-align: justify;
      }

      .margin-top-buttons{
        margin-top: 10px;
      }

      iframe {
        min-height: 600px !important;
      }

  }
}
